#!/bin/sh
# Copyright © 2023. Duet, Inc. All rights reserved.

set -o pipefail

# Function to execute a command and log its success or failure
execute_and_log() {
    local cmd="$1"
    echo "Executing: $cmd"
    eval "$cmd"
    local exit_code=$?
    if [ $exit_code -eq 0 ]; then
        echo "Success: $cmd"
    else
        echo "Failed: $cmd with exit code $exit_code"
    fi
    return $exit_code
}

echo "Uninstalling capturer"

echo "Checking if capturer launchd plist exists"
if [ -f /Library/LaunchAgents/com.kairos.DuetHelper.plist ]; then
    echo "Deleting capturer launchd plist"
    execute_and_log "rm /Library/LaunchAgents/com.kairos.DuetHelper.plist"
else
    echo "Capturer launchd plist does not exist"
fi
