#!/bin/sh
# Copyright © 2023. Duet, Inc. All rights reserved.

set -o pipefail

# Function to execute a command and log its success or failure
execute_and_log() {
    local cmd="$1"
    echo "Executing: $cmd"
    eval "$cmd"
    local exit_code=$?
    if [ $exit_code -eq 0 ]; then
        echo "Success: $cmd"
    else
        echo "Failed: $cmd with exit code $exit_code"
    fi
    return $exit_code
}

echo "Unloading DuetHelper launchd plist"
execute_and_log "launchctl unload /Library/LaunchAgents/com.kairos.DuetHelper.plist"

echo "Script execution completed"
